Interface ListTaskPushNotificationConfigsRequestOrBuilder

All Superinterfaces:
com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
All Known Implementing Classes:
ListTaskPushNotificationConfigsRequest, ListTaskPushNotificationConfigsRequest.Builder

@Generated public interface ListTaskPushNotificationConfigsRequestOrBuilder extends com.google.protobuf.MessageOrBuilder
  • Method Summary

    Modifier and Type
    Method
    Description
    int
    The maximum number of configurations to return.
    A page token received from a previous `ListTaskPushNotificationConfigsRequest` call.
    com.google.protobuf.ByteString
    A page token received from a previous `ListTaskPushNotificationConfigsRequest` call.
    The parent task resource ID.
    com.google.protobuf.ByteString
    The parent task resource ID.
    Optional.
    com.google.protobuf.ByteString
    Optional.

    Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

    isInitialized

    Methods inherited from interface com.google.protobuf.MessageOrBuilder

    findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof
  • Method Details

    • getTenant

      String getTenant()
       Optional. Tenant ID, provided as a path parameter.
       
      string tenant = 4;
      Returns:
      The tenant.
    • getTenantBytes

      com.google.protobuf.ByteString getTenantBytes()
       Optional. Tenant ID, provided as a path parameter.
       
      string tenant = 4;
      Returns:
      The bytes for tenant.
    • getTaskId

      String getTaskId()
       The parent task resource ID.
       
      string task_id = 1 [(.google.api.field_behavior) = REQUIRED];
      Returns:
      The taskId.
    • getTaskIdBytes

      com.google.protobuf.ByteString getTaskIdBytes()
       The parent task resource ID.
       
      string task_id = 1 [(.google.api.field_behavior) = REQUIRED];
      Returns:
      The bytes for taskId.
    • getPageSize

      int getPageSize()
       The maximum number of configurations to return.
       
      int32 page_size = 2;
      Returns:
      The pageSize.
    • getPageToken

      String getPageToken()
       A page token received from a previous `ListTaskPushNotificationConfigsRequest` call.
       
      string page_token = 3;
      Returns:
      The pageToken.
    • getPageTokenBytes

      com.google.protobuf.ByteString getPageTokenBytes()
       A page token received from a previous `ListTaskPushNotificationConfigsRequest` call.
       
      string page_token = 3;
      Returns:
      The bytes for pageToken.